#!/bin/sh

#fixup omreg
cat /opt/dell/srvadmin/etc/omreg.d/*.cfg /etc/compat-omreg.cfg > /opt/dell/srvadmin/etc/omreg.cfg 2>/dev/null ||:

##########################################
# Perform Data Engine configuration
##########################################
source /opt/dell/srvadmin/lib/srvadmin-omilcore/Funcs.sh
DCECFG=$(GetRegVal /opt/dell/srvadmin/etc/omreg.cfg OMDataEngine.configtool)

# configure Storage Services OM Data Populator
$DCECFG command=addpopalias update=TRUE startuptype=automatic \
        aliasname=ral \
        pathfname="/opt/dell/srvadmin/lib/openmanage/libdsm_sm_ral.so" \
        dispatchfn=RAL_SMPopulatorDispatch \
        displayname="OMSM_POPULATOR_IMPLEMENTER"
exit 0
